<?php
#############################################################################
# add_categories.php3                                                       #
# ajout de categories                                                       #
# Orienté --> MATCHS                                               		    #
#############################################################################
include("../config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_check_members.php3");



?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Ajoute des KF à partir d'un fichier d'adresse email</div>
<br>
<?php
$cpt = 0;
if($submit == "Valider")
{
	$handle = fopen($fichier_csv,'r');
	$i = 0;
	$tabError = array();
	$error = 0;
	$Doublons = 0;
	while($line = fgets($handle))
	{
		//on recupere les cellules de la ligne
		$email = trim($line);
		
		$member = getMemberFromMail($email);
		if($member["Id"] > 0)
		{
			main_db_query("UPDATE Players SET KF=KF+".$addKF." WHERE MemberId='".$member["Id"]."'");
			$cpt++;
		}
		else
		{
			echo "<br/>".$email." non trouvé";
		}

	}
	echo "<br/>".$cpt." comptes traités";
}
?>

<form method="post" ENCTYPE="multipart/form-data">
Fichier d'adresses membres :
<br>
<input type="file" name="fichier_csv" size="50">
<br/>
Nb KF à ajouter : <input type="text" name="addKF" value="<?php echo $addKF;?>" />
<input type=submit name="submit" value="Valider">
</form>
</body>
</html>